# Generated from big_shift-0.0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name big_shift

Name: rubygem-%{gem_name}
Version: 0.0.4
Release: 1%{?dist}
Summary: BigShift API interface
License: LGPLv3
URL: https://github.com/awesomenesstv/big_shift
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rake_tasks) >= 4.1
# BuildRequires: rubygem(rake_tasks) < 5
# BuildRequires: rubygem(gems)
# BuildRequires: rubygem(gems) < 1
# BuildRequires: rubygem(cane) >= 2
# BuildRequires: rubygem(cane) < 3
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(vcr) >= 2
# BuildRequires: rubygem(vcr) < 3
# BuildRequires: rubygem(webmock) >= 1
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(dotenv) >= 2
# BuildRequires: rubygem(dotenv) < 3
# BuildRequires: rubygem(factory_girl) >= 4
# BuildRequires: rubygem(factory_girl) < 5
BuildArch: noarch

%description
Provides an interface for uploading data to BigQuery.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%license %{gem_instdir}/license
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.4-1
- Initial package
